//MRGCPYJ1 JOB SIMOTIME,CLASS=1,MSGCLASS=0,NOTIFY=CSIP1
//* *******************************************************************
//*       MRGCPYJ1.jcl - a JCL Member for Batch Job Processing        *
//*       This JCL Member is provided by SimoTime Technologies        *
//*           (C) Copyright 1987-2016 All Rights Reserved             *
//*             Web Site URL:   http://www.simotime.com               *
//*                   e-mail:   helpdesk@simotime.com                 *
//* *******************************************************************
//*
//* Text   - Merge three files into one file using IEBGENER.
//* Author - SimoTime Technologies
//* Date   - January 24, 1996
//*
//* Step 1, JOBSETUP will delete any previously created files.
//* Step 2, CREATES1 will create a new file using IEBGENER.
//* Step 3, APPENDS2 will append to a file using IEBGENER.
//* Step 4, APPENDS3 will append to a file using IEBGENER.
//*
//* This job will run on a Mainframe System under ZOS or a Linux,
//* UNIX or Windows System and Micro Focus Enterprise Developer.
//*
//* 1. Demonstrate how to use IEFBR14 with DD statements to delete
//*    files that have been created by a previous execution of this
//*    job.
//* 2. Demonstrate how to use JCL and IEBGENER to copy/create
//*    a file with 80-byte fixed length records.
//* 3. Demonstrate how to use JCL and IEBGENER to append records to a
//*    sequential file with 80-byte, fixed-length records. The input
//*    file is a sequential file with 60-byte fixed-length records.
//* 4. Demonstrate how to use JCL and IEBGENER to append records to a
//*    sequential file with 80-byte, fixed-length records. The input
//*    file is a sequential file with 40-byte fixed-length records.
//*
//* *******************************************************************
//* Step 1 of 4, Delete any previously created file...
//*
//JOBSETUP EXEC PGM=IEFBR14
//MRGOUTD1 DD  DSN=SIMOTIME.DATA.MRGOUTD1,DISP=(MOD,DELETE,DELETE),
//             STORCLAS=MFI,
//             SPACE=(TRK,5),
//             DCB=(RECFM=FB,LRECL=80,DSORG=PS)
//MRGOUTX1 DD  DSN=SIMOTIME.DATA.MRGOUTX1,DISP=(MOD,DELETE,DELETE),
//             STORCLAS=MFI,
//             SPACE=(TRK,5),
//             DCB=(RECFM=FB,LRECL=80,DSORG=PS)
//*
//* *******************************************************************
//* Step 2 of 4, Copy 80-byte file to new 80-byte output file...
//*
//CREATES1 EXEC PGM=IEBGENER
//SYSPRINT DD  SYSOUT=*
//SYSIN    DD  DUMMY
//SYSUT1   DD  DSN=SIMOTIME.DATA.MRG080D1,DISP=SHR
//SYSUT2   DD  DSN=SIMOTIME.DATA.MRGOUTD1,
//             DISP=(NEW,KEEP,KEEP),
//             STORCLAS=MFI,
//             SPACE=(TRK,5),
//             DCB=(RECFM=FB,LRECL=80,DSORG=PS)
//*
//* *******************************************************************
//* Step 3 of 4, Append 60-byte records to current 80-byte output file,
//*              pad remainder of output record with spaces.
//*
//APPENDS2 EXEC PGM=IEBGENER
//SYSPRINT DD  SYSOUT=*
//SYSIN    DD  *
 GENERATE MAXFLDS=2,MAXLITS=20
 RECORD FIELD=(60,1,,1),FIELD=(20,'                    ',,61)
/*
//*
//SYSUT1   DD  DSN=SIMOTIME.DATA.MRG060D1,DISP=SHR
//SYSUT2   DD  DSN=SIMOTIME.DATA.MRGOUTD1,
//             DISP=(MOD,KEEP,KEEP),
//             STORCLAS=MFI,
//             SPACE=(TRK,5),
//             DCB=(RECFM=FB,LRECL=80,DSORG=PS)
//*
//* *******************************************************************
//* Step 4 of 4, Append 40-byte records to current 80-byte output file,
//*              pad remainder of output record with spaces.
//*
//APPENDS3 EXEC PGM=IEBGENER
//SYSPRINT DD  SYSOUT=*
//SYSIN    DD  *
 GENERATE MAXFLDS=2,MAXLITS=40
 RECORD FIELD=(40,1,,1),
        FIELD=(40,'                                        ',,41)
/*
//*
//SYSUT1   DD  DSN=SIMOTIME.DATA.MRG040D1,DISP=SHR
//SYSUT2   DD  DSN=SIMOTIME.DATA.MRGOUTD1,
//             DISP=(MOD,KEEP,KEEP),
//             STORCLAS=MFI,
//             SPACE=(TRK,5),
//             DCB=(RECFM=FB,LRECL=80,DSORG=PS)
//*
//
