//MRGCPYJ8 JOB SIMOTIME,CLASS=1,MSGCLASS=0,NOTIFY=CSIP1
//* *******************************************************************
//*       MRGCPYJ8.jcl - a JCL Member for Batch Job Processing        *
//*       This JCL Member is provided by SimoTime Technologies        *
//*           (C) Copyright 1987-2016 All Rights Reserved             *
//*             Web Site URL:   http://www.simotime.com               *
//*                   e-mail:   helpdesk@simotime.com                 *
//* *******************************************************************
//*
//* Text   - Create three Sequential Data Files on disk using IEBGENER.
//* Author - SimoTime Technologies
//* Date   - January 24, 1996
//*
//* Step 1, JOBSETUP will delete any previously.
//* Step 2, CREATE80 will create a new file (80-Bytes) using IEBGENER.
//* Step 3, CREATE60 will create a new file (60-Bytes) using IEBGENER.
//* Step 4, CREATE40 will create a new file (40-Bytes) using IEBGENER.
//*
//* This set of programs will run on a mainframe under ZOS or on a
//* Windows System and Micro Focus Enterprise Server or Studio.
//*
//* 1. Demonstrate how to use IEFBR14 with DD statements to delete
//*    files that have been created by a previous execution of this
//*    job.
//* 2. Demonstrate how to use JCL with IEBGENER to copy/create
//*    a file with 80-byte fixed length records.
//* 3. Demonstrate how to use JCL with IEBGENER to copy/create
//*    a file with 60-byte fixed length records.
//* 4. Demonstrate how to use JCL with IEBGENER to copy/create
//*    a file with 40-byte fixed length records.
//*
//* This set of programs will run on a Mainframe System with ZOS
//* or a Linux, UNIX or Windows System with Micro Focus Developer.
//*
//* *******************************************************************
//* Step 1 of 4, Delete any previously created file...
//*
//JOBSETUP EXEC PGM=IEFBR14
//MRG080D1 DD  DSN=SIMOTIME.DATA.MRG080D1,DISP=(MOD,DELETE,DELETE),
//             STORCLAS=MFI,
//             SPACE=(TRK,5),
//             DCB=(RECFM=FB,LRECL=80,DSORG=PS)
//MRG060D1 DD  DSN=SIMOTIME.DATA.MRG060D1,DISP=(MOD,DELETE,DELETE),
//             STORCLAS=MFI,
//             SPACE=(TRK,5),
//             DCB=(RECFM=FB,LRECL=60,DSORG=PS)
//MRG040D1 DD  DSN=SIMOTIME.DATA.MRG040D1,DISP=(MOD,DELETE,DELETE),
//             STORCLAS=MFI,
//             SPACE=(TRK,5),
//             DCB=(RECFM=FB,LRECL=40,DSORG=PS)
//*
//* *******************************************************************
//* Step 2 of 4, Create and populate a new Record Sequential (QSAM)
//*              File with 80-byte, fixed-length records.
//*
//CREATE80 EXEC PGM=IEBGENER
//SYSPRINT DD  SYSOUT=*
//SYSIN    DD  DUMMY
//* :....1....:....2....:....3....:....4....:....5....:....6....:....7.
//SYSUT1   DD  *
00011 File-001, Record-001                                                   80*
00021 File-001, Record-002                                                   80*
00031 File-001, Record-003                                                   80*
/*
//SYSUT2   DD  DSN=SIMOTIME.DATA.MRG080D1,
//             DISP=(NEW,CATLG,DELETE),
//             STORCLAS=MFI,
//             SPACE=(TRK,5),
//             DCB=(RECFM=FB,LRECL=80,DSORG=PS)
//*
//* *******************************************************************
//* Step 3 of 4, Create and populate a new Record Sequential (QSAM)
//*              File with 60-byte, fixed-length records.
//*
//CREATE60 EXEC PGM=IEBGENER
//SYSPRINT DD  SYSOUT=*
//SYSIN    DD  *
 GENERATE MAXFLDS=1
 RECORD FIELD=(60,1)
/*
//*
//* :....1....:....2....:....3....:....4....:....5....:....6....:....7.
//SYSUT1   DD  *
00012 File-002, Record-001                               60*
00022 File-002, Record-002                               60*
00032 File-002, Record-003                               60*
/*
//SYSUT2   DD  DSN=SIMOTIME.DATA.MRG060D1,
//             DISP=(NEW,CATLG,DELETE),
//             STORCLAS=MFI,
//             SPACE=(TRK,5),
//             DCB=(RECFM=FB,LRECL=60,DSORG=PS)
//*
//* *******************************************************************
//* Step 4 of 4, Create and populate a new Record Sequential (QSAM)
//*              File with 40-byte, fixed-length records.
//*
//CREATE40 EXEC PGM=IEBGENER
//SYSPRINT DD  SYSOUT=*
//SYSIN    DD  *
 GENERATE MAXFLDS=1
 RECORD FIELD=(40,1)
/*
//*
//* :....1....:....2....:....3....:....4....:....5....:....6....:....7.
//SYSUT1   DD  *
00013 File-003, Record-001           40*
00023 File-003, Record-002           40*
00033 File-003, Record-003           40*
/*
//SYSUT2   DD  DSN=SIMOTIME.DATA.MRG040D1,
//             DISP=(NEW,CATLG,DELETE),
//             STORCLAS=MFI,
//             SPACE=(TRK,5),
//             DCB=(RECFM=FB,LRECL=40,DSORG=PS)
//
